From dd0e927cd64f507d35b457fb9a1fa571234be2cc Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Dec 11 2017 13:50:40 +0000
Subject: [PATCH 21/51] check that a potential 'xmd' block is a dict


---

diff --git a/src/_fedmod/modulemd_linter.py b/src/_fedmod/modulemd_linter.py
index 9fcef32..3ec8080 100644
--- a/src/_fedmod/modulemd_linter.py
+++ b/src/_fedmod/modulemd_linter.py
@@ -369,3 +369,12 @@ class ModuleMDLinter(object):
         module names and their stream names."""
         for v in self.mmd['dependencies']['requires'].values():
             self.check_is_scalar(v)
+
+    @error
+    @guidelines_link('#Extensible_module_metadata_block')
+    @detail("The 'xmd' block must be a dictionary (key/value).")
+    def lint_xmd_dict(self):
+        """Modules MAY also contain an extensible metadata block, a list of
+        vendor-defined key-value pairs."""
+        if 'xmd' in self.mmd:
+            self.check_is_dict(self.mmd['xmd'])

